<?php
require_once("DBManager.class.php");

class Ubigeo{
	private $idubigeo;///
	private $nombre;
	private $dependencia;
		
	///////////////////////////////////////////
	public function Crear($idafi,$nombre,$dep)
	{
		$resp=false;		
		$db= new DBManager();	
		$f = implode("-", array_reverse(explode("-", $f)));	
		if($db->_execute("INSERT INTO ubigeo(idubigeo,nombre,dependencia) VALUES('".$idafi."','".$nombre."','".$dep."')"))   
		{
			$resp=true;
		}
		return $resp;		
	}
	
	
	public function Listar($v)
	{
		$vector=null;		
		$db= new DBManager();		
		$rs=$db->execute("select idubigeo,nombre,dependencia from ubigeo where(nombre LIKE CONCAT('%','".$v."','%'))");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) 
			{
   				$vector[$row]=array("idubigeo"	    => $rs->fields["idubigeo"],
									"nombre" 	    => $rs->fields["nombre"],
									"dependencia" 	=> $rs->fields["dependencia"]);
									
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
         	}			
        	return $vector;			
		}else return null;
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	
	
	public function BuscarPorCodigo($vcod)
	{
		
		$resp=false;
		$num_rows=0;//numero de filas afectada por la consulta
		$db= new DBManager();
		$rs=$db->execute("select idubigeo,nombre,dependencia from ubigeo where(idubigeo = '".$vcod."')");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$resp=true;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                // Coleccion de campos accesible mediante arrays asociativos también
	                 $this->idubigeo=$rs->fields["idubigeo"];
					  $this->nombre=$rs->fields["nombre"];
				      $this->dependencia=$rs->fields["dependencia"];
					  
 				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
		}
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              
		return $resp;							
	}
	
	
	
	/////////////////////////////////////////						
	public function getidubigeo(){ return $this->idubigeo;}
	public function getdependencia(){ return $this->dependencia;}
	public function getnombre(){ return $this->nombre;}
	
	}
?>
